﻿using ProjectAiroplane.Entities;

namespace ProjectAiroplane.Drawnings;
/// <summary>
/// Класс отвечающий за прорисовку и перемещение объекта-сущности
/// </summary>
public class DrawningAiroplane : Drawningplane
{
    /// <summary>
    /// Конструктор
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="toplivbak">Признак наличия бака</param>
    /// <param name="radar">Признак наличия радара</param>
    
    public DrawningAiroplane(int speed, double weight, Color bodyColor, Color additionalColor, bool toplivbak, bool radar) : base(170,85) 
    {
        Entityplane = new EntityAiroplane(speed, weight, bodyColor, additionalColor, toplivbak, radar);
    }

    public override void DrawTransport(Graphics g)
    {
        if (Entityplane == null || Entityplane is not EntityAiroplane airoplane|| !_startPosX.HasValue || !_startPosY.HasValue)
        {
            return;
        }

        Pen pen = new(Color.Black);

        Brush additionalBrush = new SolidBrush(airoplane.AdditionalColor);
        if (airoplane.Toplivbak)
        {
            g.FillRectangle(additionalBrush, _startPosX.Value + 65,_startPosY.Value + 20, 30, 15);
        }
       
        //Радар
        if (airoplane.Radar)
        {
            Brush brGreen = new SolidBrush(Color.LightGreen);
            g.FillEllipse(brGreen, _startPosX.Value + 135, _startPosY.Value + 45, 10, 10);
            g.DrawEllipse(pen, _startPosX.Value + 135, _startPosY.Value + 45, 10, 10);
        }

        _startPosX += 10;
        _startPosY += 5;

        base.DrawTransport(g);

        _startPosX -= 10;
        _startPosY -= 5;
    }
}

